Bug 192602 - ctrl-space generates blank on gnome-terminal
ctrl-space generates blank on gnome-terminal
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 16:05 EDT by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 00:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-05-21 16:05:09 EDT
Description of problem:
As of a few days ago, gnome-terminal started translating ctrl-space to blank,
rendering emacs -nw pretty much unusable.  emacs still works properly as an X
application, and it works fine as a terminal application within konsole and
xterm.  Other gtk applications don't seem to be affected.

Version-Release number of selected component (if applicable):
gnome-terminal-2.15.0-2

How reproducible:
Every time

Steps to Reproduce:
1.Start gnome-terminal
2.Type Ctrl-space

Actual results:
You get a blank

Expected results:
It should generate the same as Ctrl-@, like any other terminal emulator.

Additional info:
Comment 1 Alexandre Oliva 2006-05-21 16:07:04 EDT
I forgot to mention that I have scim disabled, so that's not it.  My profile says:

unset QT_IM_MODULE
unset XMODIFIERS
unset GTK_IM_MODULE

and ctrl-space is no longer configured as a scim hot key.
Comment 2 Alexandre Oliva 2006-06-17 14:13:01 EDT
This is still broken in rawhide.
Comment 3 Alexandre Oliva 2006-07-27 00:28:27 EDT
Not any more, yay!
Comment 4 Behdad Esfahbod 2006-07-27 00:41:50 EDT
Yeah, I fixed it.

Note You need to log in before you can comment on or make changes to this bug.